//**************************************
//          P R O T O T Y P E
//**************************************

void Time(void);
void Ticker_interrupt(void);
void CopyData(unsigned char Value);
void CopyText (unsigned char Pos);
void Crossing_interrupt(void);
void Degre_interrupt(void);
void Display(void);
void IR_interrupt(void);
void IrControl(void);
void SetTime(unsigned char Fast);

//**************************************
//  I N T E R R U P T   H A N D L E R
//**************************************

ISR (INT0_vect)
{ 
Crossing_interrupt();
}

ISR(TIMER1_CAPT_vect)
{
IR_interrupt();
}

ISR(TIMER1_COMPA_vect)
{
Degre_interrupt();
}

ISR(TIMER0_OVF_vect)
{
Ticker_interrupt();
}

//**************************************
//   G L O B A L   V A R I A B L E
//**************************************

int korrektur=0; //Positionskorrektur
int WeelPosition;
unsigned char Pos=0;
unsigned int Adder=0;
unsigned int DegreeTime=51;

unsigned char LatchedIrData=0;

unsigned char Sec=0;
unsigned char Min=0;
unsigned char Hrs=0;
unsigned char Day=1;
unsigned char Month=1;
unsigned char Year=9;

int SecComp=0;
int MinComp=0;
int HrsComp=0;
unsigned char SetCount=0;

unsigned char ON=TRUE;
unsigned char SetLock=FALSE;

unsigned char ClockStyle=DIGITAL;

unsigned char SrDigital[50];
unsigned char *SrDigitalPtr;

unsigned char Lock=FALSE;
unsigned char IrTick;

const unsigned char monthdays[12] = {31,28,31,30,31,30,31,31,30,31,30,31}; //Length of Month in Days January = 31, February = 28 ...

uint8_t Textfeld[8] = {19,27,27,16,11,16,13,37}; //Text String
//uint8_t Textfeld_EEPROM[8] EEMEM;

int i,j,k; 

//uint8_t sreg;
